net.minecraft.item

## Class ItemInWorldManager

- java.lang.Object
- - net.minecraft.item.ItemInWorldManager

- Direct Known Subclasses:
    DemoWorldManager

      public class ItemInWorldManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `World` | `theWorld` The world object that this object is connected to.
    `EntityPlayerMP` | `thisPlayerMP` The EntityPlayerMP object that this object is connected to.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemInWorldManager(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `activateBlockOrUseItem(EntityPlayer par1EntityPlayer, World par2World, ItemStack par3ItemStack, int par4, int par5, int par6, int par7, float par8, float par9, float par10)` Activate the clicked on block, otherwise use the held item.
    `void` | `cancelDestroyingBlock(int par1, int par2, int par3)` note: this ignores the pars passed in and continues to destroy the onClickedBlock
    `double` | `getBlockReachDistance()`
    `EnumGameType` | `getGameType()`
    `void` | `initializeGameType(EnumGameType par1EnumGameType)` if the gameType is currently NOT_SET then change it to par1
    `boolean` | `isCreative()` Get if we are in creative game mode.
    `void` | `onBlockClicked(int par1, int par2, int par3, int par4)` if not creative, it calls destroyBlockInWorldPartially untill the block is broken first.
    `void` | `setBlockReachDistance(double distance)`
    `void` | `setGameType(EnumGameType par1EnumGameType)`
    `void` | `setWorld(WorldServer par1WorldServer)` Sets the world instance.
    `boolean` | `tryHarvestBlock(int par1, int par2, int par3)` Attempts to harvest a block at the given coordinate
    `boolean` | `tryUseItem(EntityPlayer par1EntityPlayer, World par2World, ItemStack par3ItemStack)` Attempts to right-click use an item by the given EntityPlayer in the given World
    `void` | `uncheckedTryHarvestBlock(int par1, int par2, int par3)`
    `void` | `updateBlockRemoving()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### theWorld

          public World theWorld

      The world object that this object is connected to.

    - #### thisPlayerMP

          public EntityPlayerMP thisPlayerMP

      The EntityPlayerMP object that this object is connected to.

  - ### Constructor Detail

    - #### ItemInWorldManager

          public ItemInWorldManager(World par1World)

  - ### Method Detail

    - #### setGameType

          public void setGameType(EnumGameType par1EnumGameType)

    - #### getGameType

          public EnumGameType getGameType()

    - #### isCreative

          public boolean isCreative()

      Get if we are in creative game mode.

    - #### initializeGameType

          public void initializeGameType(EnumGameType par1EnumGameType)

      if the gameType is currently NOT_SET then change it to par1

    - #### updateBlockRemoving

          public void updateBlockRemoving()

    - #### onBlockClicked

          public void onBlockClicked(int par1,
                            int par2,
                            int par3,
                            int par4)

      if not creative, it calls destroyBlockInWorldPartially untill the block is broken first. par4 is the specific side. tryHarvestBlock can also be the result of this call

    - #### uncheckedTryHarvestBlock

          public void uncheckedTryHarvestBlock(int par1,
                                      int par2,
                                      int par3)

    - #### cancelDestroyingBlock

          public void cancelDestroyingBlock(int par1,
                                   int par2,
                                   int par3)

      note: this ignores the pars passed in and continues to destroy the onClickedBlock

    - #### tryHarvestBlock

          public boolean tryHarvestBlock(int par1,
                                int par2,
                                int par3)

      Attempts to harvest a block at the given coordinate

    - #### tryUseItem

          public boolean tryUseItem(EntityPlayer par1EntityPlayer,
                           World par2World,
                           ItemStack par3ItemStack)

      Attempts to right-click use an item by the given EntityPlayer in the given World

    - #### activateBlockOrUseItem

          public boolean activateBlockOrUseItem(EntityPlayer par1EntityPlayer,
                                       World par2World,
                                       ItemStack par3ItemStack,
                                       int par4,
                                       int par5,
                                       int par6,
                                       int par7,
                                       float par8,
                                       float par9,
                                       float par10)

      Activate the clicked on block, otherwise use the held item. Args: player, world, itemStack, x, y, z, side, xOffset, yOffset, zOffset

    - #### setWorld

          public void setWorld(WorldServer par1WorldServer)

      Sets the world instance.

    - #### getBlockReachDistance

          public double getBlockReachDistance()

    - #### setBlockReachDistance

          public void setBlockReachDistance(double distance)